list users.md
List users
Management API · User Management
GET https://app.mk.io/api/v1/organization/users
This endpoint shows the details of all users with access to this organization in MK.IO.
RBAC Capability Required: core.user.get
Authentication
Authorizationheader — Bearer authentication of the formBearer <token>.
Example request
curl -X GET "https://app.mk.io/api/v1/organization/users" \
-H "Authorization: Bearer <token>"
Responses
200 — OK
kind· string · Required — The kind of record.value· list of objects · Required — List of users- Array items (object):
kind· string · Optional — The kind of record.metadata· object · Required — Metadata.id· string · Required · format: uuid — The unique identifier of the user.
spec· object · Required — Specification.avatar· string · Required · <=200 characters — Avatar.email· string · Required · 1-1024 characters — Contact email addressname· string · Required · 1-1024 characters — Full name.
- Array items (object):
Example:
{
"kind": "string",
"value": [
{
"kind": "string",
"metadata": {
"id": "00000000-0000-0000-0000-000000000000"
},
"spec": {
"avatar": "string",
"email": "string",
"name": "string"
}
}
]
}
400 — Bad Request
error· object · Required — Pertinent information about the errorcode· string · Required — The error code.detail· string · Required — The error message.extraDetail· map from strings to any · Optional — Extra information regarding this error.[any key]· any — map of additional properties
ref· string · Required — A reference to the request that caused the error.status· integer · Required — The HTTP status code
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
401 — Unauthorized
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
403 — Forbidden
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
404 — Not Found
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
429 — Too Many Requests
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
500 — Internal Server Error
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
Source spec: management-api · operationId: [get]_/api/v1/organization/users